Iam
Manage users, service principals, groups and their permissions in Accounts and Workspaces
Resolve an external group in the Databricks account Beta
POST
Resolves a group with the given external ID from the customer's IdP. If the group does not exist, it will be created in the account. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstringRequired
Required. The external ID of the group in the customer's IdP.
Response
- groupobject
The group that was resolved.
Show child attributesHide child attributes
- account_idstringOutput only
The parent account ID for group in <Databricks>.
- group_idstringOutput only
Internal group ID of the group in <Databricks>.
- external_idstring
ExternalId of the group in the customer's IdP.
- group_namestring
Display name of the group.
Resolve an external service principal in the Databricks account Beta
POST
Resolves a service principal with the given external ID from the customer's IdP. If the service principal does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstringRequired
Required. The external ID of the service principal in the customer's IdP.
Response
- service_principalobject
The service principal that was resolved.
Show child attributesHide child attributes
- account_idstringOutput only
The parent account ID for the service principal in <Databricks>.
- service_principal_idstringOutput only
Internal service principal ID of the service principal in <Databricks>.
- external_idstring
ExternalId of the service principal in the customer's IdP.
- application_idstringImmutable
Application ID of the service principal. Set at creation time and cannot be changed afterwards; when omitted, the server generates one.
- display_namestringRequired
Display name of the service principal.
- account_sp_statusstringRequired
The activity status of a service principal in a <Databricks> account.
STATE_UNSPECIFIEDACTIVEINACTIVE
Resolve an external user in the Databricks account Beta
POST
Resolves a user with the given external ID from the customer's IdP. If the user does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstringRequired
Required. The external ID of the user in the customer's IdP.
Response
- userobject
The user that was resolved.
Show child attributesHide child attributes
- account_idstringOutput only
The accountId parent of the user in <Databricks>.
- user_idstringOutput only
Internal userId of the user in <Databricks>.
- external_idstring
ExternalId of the user in the customer's IdP.
- usernamestringRequiredImmutable
Username/email of the user.
- full_nameobjectRequired
Show child attributesHide child attributes
- given_namestring
- family_namestring
- account_user_statusstringRequired
The activity status of a user in a <Databricks> account.
STATE_UNSPECIFIEDACTIVEINACTIVE